complexType "AgreedAmount"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (giverPartyReference?, takerPartyReference?, variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount
</...>

Content Model Elements (5):

  giverPartyReference,
  segregatedIndependentAmount (defined in AgreedAmount complexType),
  segregatedIndependentAmount (defined in AgreedAmount complexType),
  takerPartyReference,
  variationMargin (defined in AgreedAmount complexType)

All Direct / Indirect Based Elements (2):

  agreedAmount (in marginCallStatus), | agreedAmount (in requestCollateralAcceptance)

Known Usage Locations

- As direct type of elements (2):

  agreedAmount (in marginCallStatus), | agreedAmount (in requestCollateralAcceptance)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="AgreedAmount"> <xsd:choice> <xsd:sequence> <xsd:group ref="GiverTaker.model"/> <xsd:element name="variationMargin" type="Money"/> <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="Money"/> </xsd:sequence> <xsd:element name="segregatedIndependentAmount" type="Money"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/5)
segregatedIndependentAmount

  Type: | Money, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="segregatedIndependentAmount" type="Money"/>

segregatedIndependentAmount

  Type: | Money, complex content

  segregated independent amount part of the agreed amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="segregatedIndependentAmount" type="Money"/>

variationMargin

  Type: | Money, complex content

  variation margin part of the agreed amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="variationMargin" type="Money"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.